# getLatestLedger

For finding out the current latest known ledger of this node. This is a subset of the ledger info from Horizon.

This method will use `10` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://soroban.stellar.org/api/methods/getEvents)

## **Parameters**

`None`

## Returns

`id` (string) Hash of the latest ledger as a hex-encoded string

`protocolVersion` (number) Stellar Core protocol version associated with the latest ledger

`sequence` (number) Sequence number of the latest ledger

```bash
// Result
{
  "jsonrpc": "2.0",
  "id": 8675309,
  "result": {
    "id": "2a00000000000000000000000000000000000000000000000000000000000000",
    "protocolVersion": 20,
    "sequence": 666
  }
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.stellar.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{
  "jsonrpc": "2.0",
  "id": 8675309,
  "method": "getLatestLedger"
  }'
</code></pre>

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.stellar.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
  "jsonrpc": "2.0",
  "id": 8675309,
  "method": "getLatestLedger"
  }'

```

{% endtab %}
{% endtabs %}
